From: Anthony Fok <foka@debian.org>
Date: Wed, 20 Dec 2023 11:25:26 -0700
Subject: Skip TestEthernetHandle_Close_With{Timeout,Cancel}

These tests in pcapgo/capture_test.go need root access and would give
"netlink.LinkAdd() error = operation not permitted" otherwise.
---
 pcapgo/capture_test.go | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/pcapgo/capture_test.go b/pcapgo/capture_test.go
index 53aa453..9145b7d 100644
--- a/pcapgo/capture_test.go
+++ b/pcapgo/capture_test.go
@@ -55,6 +55,7 @@ func Example_captureEthernet() {
 }
 
 func TestEthernetHandle_Close_WithTimeout(t *testing.T) {
+	t.Skip("needs root access, skipping")
 	var (
 		handle *pcapgo.EthernetHandle
 		err    error
@@ -85,6 +86,7 @@ func TestEthernetHandle_Close_WithTimeout(t *testing.T) {
 }
 
 func TestEthernetHandle_Close_WithCancel(t *testing.T) {
+	t.Skip("needs root access, skipping")
 	var (
 		handle *pcapgo.EthernetHandle
 		err    error
